# AIDepotList Class Reference
[Classes that create a list of items.]

Creates a list of the locations of the depots (and hangars) of which you are the owner. More...

`#include <ai_depotlist.hpp>`

Inheritance diagram for AIDepotList:

## Public Member Functions
| AIDepotList (AITile::TransportType transport_type)
## Static Public Member Functions
static const char * | GetClassName ()
| Get the name of this class to identify it towards squirrel.

## Detailed Description

Creates a list of the locations of the depots (and hangars) of which you are the owner.

Definition at line 22 of file ai_depotlist.hpp.

## Constructor & Destructor Documentation

AIDepotList::AIDepotList | ( | AITile::TransportType | transport_type | ) |

Parameters:

  | transport_type | The type of transport to make a list of depots for.

Definition at line 18 of file ai_depotlist.cpp.

References _current_company, AIList::AddItem(), Station::airport, Airport::GetHangarTile(), Airport::GetNumHangars(), GetTileOwner(), IsTileType(), MP_RAILWAY, MP_ROAD, MP_WATER, BaseStation::owner, AITile::TRANSPORT_AIR, AITile::TRANSPORT_RAIL, AITile::TRANSPORT_ROAD, and AITile::TRANSPORT_WATER.

## Member Function Documentation

static const char* AIDepotList::GetClassName | ( |  | ) | `[inline, static]`

Get the name of this class to identify it towards squirrel.

Reimplemented from AIList.

Definition at line 25 of file ai_depotlist.hpp.

The documentation for this class was generated from the following files:

- src/ai/api/ai_depotlist.hpp
- src/ai/api/ai_depotlist.cpp